AuFile::AuHeader Class Reference

## Public Member Functions

unsigned short | getBytesPerSample (void) const

## Public Attributes

char | id [4]
UWORD32 | offset
UWORD32 | size
ENCODING | encoding
UWORD32 | samplerate
UWORD32 | channels

## Static Public Attributes

static const UWORD32 | SizeUnknown = 0xFFFFFFFF
static const unsigned short | HeaderSize = 24

## Member Function Documentation

## getBytesPerSample()

unsigned short AuFile::AuHeader::getBytesPerSample | ( | void |  | ) | const

## Member Data Documentation

## channels

UWORD32 AuFile::AuHeader::channels

## encoding

ENCODING AuFile::AuHeader::encoding

## HeaderSize

const unsigned short AuFile::AuHeader::HeaderSize = 24

static

## id

char AuFile::AuHeader::id[4]

## offset

UWORD32 AuFile::AuHeader::offset

## samplerate

UWORD32 AuFile::AuHeader::samplerate

## size

UWORD32 AuFile::AuHeader::size

## SizeUnknown

const UWORD32 AuFile::AuHeader::SizeUnknown = 0xFFFFFFFF

static

The documentation for this class was generated from the following files:

- AuFile.h
- AuFile.cc